For the complete documentation index, see llms.txt. This page is also available as Markdown.

Send a transaction to the network

Send a transaction to the network

post
/api/v1/hyperliquid/{network}/transaction/send

This endpoint allows you to send a transaction to the network

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
networkstring · enumRequired

The Hyperliquid network to use

Example: mainnetPossible values:
Body
signedTransactionstringRequired

Signed transaction data

Responses
200

OK

application/json
errorobject · nullableRequiredDefault: null
resultone ofRequired
post/api/v1/hyperliquid/{network}/transaction/send
POST /api/v1/hyperliquid/{network}/transaction/send HTTP/1.1
Host: api.p2p.org
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 28

{
  "signedTransaction": "text"
}
{
  "result": {},
  "error": {}
}

Last updated